Last Comment Bug 644985 - Pass correct host triplet to libffi configure
: Pass correct host triplet to libffi configure
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: ---
Assigned To: Jacek Caban
:
: Gregory Szorc [:gps]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-25 06:19 PDT by Jacek Caban
Modified: 2011-04-13 06:02 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix v1.0 (1.10 KB, patch)
2011-03-25 06:19 PDT, Jacek Caban
ted: review+
Details | Diff | Splinter Review

Description Jacek Caban 2011-03-25 06:19:35 PDT
Created attachment 521795 [details] [diff] [review]
fix v1.0

There is a special case added for mingw to js/src/configure.in that treats mingw differently for mingw in bug 538216 comment 32. It was needed back then. However mingw-w64 (a fork of mingw.org, unlike what name suggests, not win64-specific) uses proper triplet i686-w64-mingw32 in this case. We could improve special-case to detect only plain old mingw, but right now m-c compiles only with mingw-w64 and it is unlikely to change (esp. given that mingw-w64 replacing domination of plain mingw is a matter of time), so I propose to get rid of the special case at all.
Comment 1 Jacek Caban 2011-04-05 07:33:33 PDT
Thanks for review, pushed to t-m:

http://hg.mozilla.org/tracemonkey/rev/408c30d4a038
Comment 2 Jacek Caban 2011-04-13 06:02:41 PDT
Merged to m-c:

http://hg.mozilla.org/mozilla-central/rev/408c30d4a038

Note You need to log in before you can comment on or make changes to this bug.